# FeatureSpec

interface FeatureSpec

Handler for configuring features, which may contribute additional configurations, publications, dependencies, ...

#### Since

5.3

## Functions

capability
Link copied to clipboard
abstract fun capability(group: String, name: String, version: String)
Declares a capability of this feature.
disablePublication
Link copied to clipboard
abstract fun disablePublication()
By default, features are published on external repositories.
usingSourceSet
Link copied to clipboard
abstract fun usingSourceSet(sourceSet: SourceSet)
Declares the source set which this feature is built from.
withJavadocJar
Link copied to clipboard
abstract fun withJavadocJar()
Automatically package Javadoc and register the produced JAR as a variant.
withSourcesJar
Link copied to clipboard
abstract fun withSourcesJar()
Automatically package sources from the linked SourceSet and register the produced JAR as a variant.